AGTCloud API Docs
GuidesAPI ReferenceIntegrations and resourcesUpdate and help
Video generationGrok Video

Retrieve a video

Retrieve a Grok video task through the platform or OpenAI Videos path.

Both retrieval paths use the same task-state model and expose the task status, generation progress, and video result.

GET/v1/video/generations/{id}
GET/v1/videos/{id}

Use the id returned by the create endpoint to retrieve the Grok video task.

Authorization

bearerAuth
AuthorizationBearer <token>

Use Bearer your-api-key in the Authorization Header.

In: header

Path Parameters

id*string

ID returned when the Grok video task was created.

Length1 <= length

Response Body

application/json

application/json

application/json

application/json